// Niagara 用電數據類型定義
export interface NiagaraElecData {
  slotPath: string;
  displayName: string;
  id: string;
  out: number; 
}

export interface NiagaraElecDemandData {
  slotPath: string;
  displayName: string;
  name: string;
  out: number; 
}

export interface DailyResult {
  dateStr: string;
  off: number;
  half: number;
  peak: number;
  offcost:number;
  halfcost:number;
  peakcost:number;
  dailyEleCost: number;
  dailyFlowCost: number;
}

export interface ElecCostSummary {
  dailyResults: DailyResult[];
  totalEleCost: number;
  totalFlowCost: number;
  total_Off: number;
  total_half: number;
  total_peak: number;
  total_OffCost: number;
  total_halfCost: number;
  total_peakCost: number;
}

export interface DailyEntry {
  time: Date;
  value: number;
}